Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.core
Interface IStructure

All Superinterfaces:
  java.lang.Cloneable, org.eclipse.birt.report.model.core.IPropertySet

All Known Implementing Classes:
  Action, AggregationArgument, CachedMetaData, ColumnHint, ComputedColumn, ConfigVariable, CustomColor, DataSetParameter, DateFormatValue, DateTimeFormatValue, DimensionCondition, DimensionJoinCondition, EmbeddedImage, ExtendedProperty, FilterCondition, FormatValue, HideRule, HighlightRule, IncludedCssStyleSheet, IncludedLibrary, IncludeScript, JoinCondition, LevelAttribute, MapRule, NumberFormatValue, OdaDataSetParameter, OdaDesignerState, OdaLevelAttribute, OdaResultSetColumn, ParamBinding, ParameterFormatValue, PropertyBinding, PropertyMask, org.eclipse.birt.report.model.core.PropertyStructure, org.eclipse.birt.report.model.core.ReferencableStructure, ResultSetColumn, Rule, ScriptLib, SearchKey, SelectionChoice, SortHint, SortKey, StringFormatValue, org.eclipse.birt.report.model.core.Structure, StyleRule, TimeFormatValue, TOC, UserPropertyDefn

    public interface IStructure

extends org.eclipse.birt.report.model.core.IPropertySet

Interface for objects that appear in a property list. Provides methods for generically accessing or updating object members, and provides a meta-data definition for the object. This interface allows an object to participate in the generic property type, command and related mechanisms.

Method Summary
`IStructure` | `copy()` Creates a deep copy of this structure.
`IStructureDefn` | `getDefn()` Returns the structure definition from the meta-data dictionary.
`java.lang.Object` | `getLocalProperty(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.metadata.PropertyDefn propDefn)` Deprecated. by `getProperty(Module, String)`
`java.lang.Object` | `getProperty(org.eclipse.birt.report.model.core.Module module, java.lang.String propName)` Gets the locale value of a property.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`boolean` | `isDesignTime()` Justifies whether the structure is generated in design time or not.
`boolean` | `isReferencable()` Justifies whether the structure can be referred by other design elements.

Methods inherited from interface org.eclipse.birt.report.model.core.IPropertySet
`getObjectDefn, getProperty, setProperty`

Method Detail

### getStructName

    java.lang.String getStructName()

  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### copy

    IStructure copy()

  Creates a deep copy of this structure.

  Returns:
    a copy of this structure.

### getDefn

    IStructureDefn getDefn()

  Returns the structure definition from the meta-data dictionary.

  Returns:
    the structure definition

### getLocalProperty

    java.lang.Object getLocalProperty(org.eclipse.birt.report.model.core.Module module,
                                      org.eclipse.birt.report.model.metadata.PropertyDefn propDefn)

  Deprecated. by `getProperty(Module, String)`

  Gets the locale value of a property.

  Parameters:
    `module` - the module
    `propDefn` - definition of the property to get
  Returns:
    value of the item as an object, or null if the item is not set locally or is not found.

### getProperty

    java.lang.Object getProperty(org.eclipse.birt.report.model.core.Module module,
                                 java.lang.String propName)

  Gets the locale value of a property.

  Parameters:
    `module` - the module
    `propName` - the name of the property definition
  Returns:
    value of the item as an object, or null if the item is not set locally or is not found.

### isReferencable

    boolean isReferencable()

  Justifies whether the structure can be referred by other design elements.

  Returns:
    true if the structure is referencable, otherwise false

### isDesignTime

    boolean isDesignTime()

  Justifies whether the structure is generated in design time or not.

  Returns:
    if the structure is generated in design time, otherwise return .

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.